RCS Typing Indicator
RcsTypingIndicatorWebhook is sent to the account-level URL configured for the
RcsTypingIndicator type when an end user starts typing to one of registered RCS agents.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
RCS typing indicator event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/RcsTypingIndicatorWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "RcsTypingIndicator", "sid": "WH08df051c8bb934e05097e6a90038125d574127a9bef7d212", "payload": { "from": "+19876543210", "agentId": "MyAgent", "eventDate": "2023-03-22T16:44:55.123Z" } }'RCS Message Seen POST
`RcsMessageSeenWebhook` is sent to the account-level URL configured for the `RcsMessageSeen` type when the recipient device confirms that an outbound RCS message has been read.
RCS User Action POST
`RcsInboundUserActionWebhook` is sent to the account-level URL configured for the `RcsInboundUserAction` type when a user has acted over a suggestion sent with an RCS outbound message.